#include <iostream>

using namespace std;

float T, k, l, x[31], t[11];
int n, q;
int main(){
	freopen("TRANSPORT.IN","r",stdin);
	cin >> q; 
	for (int ii=0; ii<q; ii++){
		cin>>n>>k>>l;
		for (int i=0; i<n; i++){
			cin>>x[i];
			cin>>t[i];
		}
		k=k/60;
		T=l/k;
		for(int i=0;i<n;i++)
		T+=t[i];		
		cout<<T<<"\n";
	}
		return 0;
}